Use this API to return a single OATH token by its OneLogin ID.
Resource URL
https://<subdomain>.onelogin.com/api/2/oath_tokens/<id>Header Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can only be called using the |
URL Parameters
id required integer | The OneLogin ID of the OATH token. |
Sample Responses
- 200 OK
- 401 Unauthorized
- 404 Not Found
{
"id": 918273,
"identifier": "OATH00112233",
"time_interval": 30,
"otp_digits": 6,
"seed": "*****"
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}Postman Collection
Replace sample variables indicated by < > in the sample request body with your actual values. Also, be sure to set Postman-specific environment variables indicated by {{ }}.
- Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Get OATH Token
curl 'https://<subdomain>.onelogin.com/api/2/oath_tokens/918273' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.